#property copyright "Kalenzo"
#property link      "uploaded by ultimaforex.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 clrAqua
extern int       MA_Lenght = 10;
extern bool      alertsOn  = TRUE;
extern bool alertsMessage  = TRUE;
bool Gi_88 = FALSE;
bool Gi_92 = FALSE;
double G_ibuf_96[];
double G_ibuf_100[];
string Gs_nothing_104 = "nothing";
datetime G_time_112;

int init() {
   IndicatorBuffers(2);
   SetIndexBuffer(0, G_ibuf_96);
   SetIndexDrawBegin(0, MA_Lenght + 1);
   SetIndexBuffer(1, G_ibuf_100);
   return (0);
}

int start() {
   int Li_0 = IndicatorCounted();
   if (Li_0 < 0) return (-1);
   if (Li_0 > 0) Li_0--;
   int Li_8 = Bars - Li_0;
   for (int Li_4 = Li_8; Li_4 >= 0; Li_4--) {
      G_ibuf_100[Li_4] = G_ibuf_100[Li_4 + 1];
      if (Close[Li_4] > iMA(Symbol(), 0, MA_Lenght, 0, MODE_SMA, PRICE_HIGH, Li_4 + 1)) G_ibuf_100[Li_4] = 1;
      if (Close[Li_4] < iMA(Symbol(), 0, MA_Lenght, 0, MODE_SMA, PRICE_LOW, Li_4 + 1)) G_ibuf_100[Li_4] = -1;
      if (G_ibuf_100[Li_4] == -1.0) G_ibuf_96[Li_4] = iMA(Symbol(), 0, MA_Lenght, 0, MODE_SMA, PRICE_HIGH, Li_4 + 1);
      else G_ibuf_96[Li_4] = iMA(Symbol(), 0, MA_Lenght, 0, MODE_SMA, PRICE_LOW, Li_4 + 1);
   }
   if (alertsOn) {
      if (G_ibuf_100[0] != G_ibuf_100[1]) {
         if (G_ibuf_100[0] == 1.0) doAlert("up");
         else doAlert("down");
      }
   }
   return (0);
}

void doAlert(string As_0) {
   string str_concat_8;
   if (Gs_nothing_104 != As_0 || G_time_112 != Time[0]) {
      Gs_nothing_104 = As_0;
      G_time_112 = Time[0];
      str_concat_8 = StringConcatenate(Symbol(), " ", Period(), " at ", TimeToStr(TimeLocal(), TIME_SECONDS), " UltimaSecret SSL trend changed to ", As_0);
      if (alertsMessage) Alert(str_concat_8);
      if (Gi_92) SendMail(StringConcatenate(Symbol(), "SSL "), str_concat_8);
      if (Gi_88) PlaySound("alert2.wav");
   }
}
